Subject: Re: bug#29098: 26.0.90; [PATCH] 2 patches: initial-buffer-choice and python-indent-dedent-line-backspace

From: Noam Postavsky <[email-masked]>
Date: Thu, 09 Aug 2018 08:17:24 -0400

retitle 29098 improve initial-buffer-choice error messages
tags 29098 fixed
close 29098 26.2
quit

Alex <[email-masked]> writes:

> The first patch provides more information to an error message, and the
> second deals with pressing backspace in a python-mode buffer with an
> active region.

I pushed this to emacs-26.

[1: 96be6b6eb9]: 2018-08-09 08:12:07 -0400
  Improve error messages regarding initial-buffer-choice (Bug#29098)
  https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=96be6b6eb99ae1d77702932c97e8b3a147c6265a

> When in a python-mode buffer with the contents:
>
> def foo():
>     print('bar')
>
> with an active region and point at the "p", then pressing backspace
> de-indents the line instead of deleting it. This is at odds with the
> behaviour in other modes, where a similar action deletes the line, at
> least with ‘delete-active-region’ non-nil.

> I thought about making this behaviour conditional using
> ‘delete-active-region’, but that might be a bit inconsistent.

I suggest opening a new bug thread to discuss this.